package com.gic.enterprise.web.controller;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.download.utils.OperationResultUtils;
import com.gic.enterprise.dto.data.DataMemberConsumeConfigDTO;
import com.gic.enterprise.service.DataConfigApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.utils.UserDetailUtils;

@RestController
@RequestMapping("/data-config")
public class DataConfigController {
    private final static Logger LOGGER = LogManager.getLogger(DataConfigController.class);

    @Autowired
    private DataConfigApiService dataConfigApiService;

    @RequestMapping("/config-member-consume")
    public RestResponse configMemberConsume(DataMemberConsumeConfigDTO dto) {
        dto.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return OperationResultUtils.operationResult(dataConfigApiService.configMemberConsume(dto),
                OperationResultUtils.LOG_EDIT + "数据统计配置-会员消费配置",
                UserDetailUtils.getUserDetail().getEnterpriseInfo().getEnterpriseName());
    }

    @RequestMapping("/get-member-consume-config")
    public RestResponse getMemberConsumeConfig() {
        return ResultControllerUtils.commonResult(dataConfigApiService
                .getMemberConsumeConfigByEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId()));
    }
}
